{ self, ... }:

{
  flake.nixosModules.fediversity = import ./fediversity;

  perSystem =
    { pkgs, ... }:
    {
      checks = {
        mastodon-garage = import ./tests/mastodon-garage.nix { inherit self pkgs; };
        pixelfed-garage = import ./tests/pixelfed-garage.nix { inherit self pkgs; };
      };
    };
}
